Loading...
Searching...
No Matches
juce::AnalyticsDestination Struct Referenceabstract

## Detailed Description

An interface for handling analytics events collected by an Analytics object.

For basic analytics logging you can implement this interface and add your class to an Analytics object.

For more advanced logging you may want to subclass ThreadedAnalyticsDestination instead, which is more suitable for interacting with web servers and other time consuming destinations.

See also
  Analytics, ThreadedAnalyticsDestination

The documentation for this struct was generated from the following file:

- juce_analytics/destinations/juce_AnalyticsDestination.h

Inheritance diagram for juce::AnalyticsDestination:

## Classes

struct | AnalyticsEvent
| Contains information about an event to be logged. More...

## Public Member Functions

| AnalyticsDestination ()=default
| Constructor.
virtual | ~AnalyticsDestination ()=default
| Destructor.
virtual void | logEvent (const AnalyticsEvent &event)=0
| When an AnalyticsDestination is added to an Analytics object this method is called when an analytics event is triggered from the Analytics object.

## Constructors and Destructors

## AnalyticsDestination()

juce::AnalyticsDestination::AnalyticsDestination | ( |  | ) |

default

Constructor.

Referenced by logEvent().

## ~AnalyticsDestination()

virtual juce::AnalyticsDestination::~AnalyticsDestination | ( |  | ) |

virtual default

Destructor.

## Member Functions

## logEvent()

virtual void juce::AnalyticsDestination::logEvent | ( | const AnalyticsEvent & | event | ) |

pure virtual

When an AnalyticsDestination is added to an Analytics object this method is called when an analytics event is triggered from the Analytics object.

Override this method to log the event information somewhere useful.

Implemented in juce::ThreadedAnalyticsDestination.

References AnalyticsDestination().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited